summaryrefslogtreecommitdiff
path: root/post-install.d/50vcs-commit
diff options
context:
space:
mode:
Diffstat (limited to 'post-install.d/50vcs-commit')
-rwxr-xr-xpost-install.d/50vcs-commit23
1 files changed, 23 insertions, 0 deletions
diff --git a/post-install.d/50vcs-commit b/post-install.d/50vcs-commit
new file mode 100755
index 0000000..7710c4a
--- /dev/null
+++ b/post-install.d/50vcs-commit
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -e
+
+pl="/var/cache/etckeeper/packagelist"
+
+if etckeeper unclean; then
+ message="committing changes in /etc after $HIGHLEVEL_PACKAGE_MANAGER run"
+
+ if [ -e $pl.pre-install ]; then
+ (
+ echo "$message"
+ echo
+ echo "Package changes:"
+ etckeeper list-installed | diff -U0 $pl.pre-install - | tail -n+4 | egrep '^[-+]' || true
+ ) | etckeeper commit --stdin
+ else
+ etckeeper commit "$(printf "$message")"
+ fi
+fi
+
+if [ -e $pl.pre-install ]; then
+ rm -f $pl.pre-install
+fi